Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class SequenceRange1Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.SequenceRange1Choice

    public class SequenceRange1Choice
    extends java.lang.Object

Java class for SequenceRange1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SequenceRange1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="FrSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text"/>
             <element name="ToSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text"/>
             <element name="FrToSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}SequenceRange1" maxOccurs="unbounded"/>
             <element name="EQSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" maxOccurs="unbounded"/>
             <element name="NEQSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" maxOccurs="unbounded"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `eqSeq`
`protected java.lang.String` `frSeq`
`protected java.util.List<SequenceRange1>` `frToSeq`
`protected java.util.List<java.lang.String>` `neqSeq`
`protected java.lang.String` `toSeq`

### Constructor Summary

Constructors
`SequenceRange1Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getEQSeq()` Gets the value of the eqSeq property.
`java.lang.String` `getFrSeq()` Gets the value of the frSeq property.
`java.util.List<SequenceRange1>` `getFrToSeq()` Gets the value of the frToSeq property.
`java.util.List<java.lang.String>` `getNEQSeq()` Gets the value of the neqSeq property.
`java.lang.String` `getToSeq()` Gets the value of the toSeq property.
`void` `setFrSeq​(java.lang.String value)` Sets the value of the frSeq property.
`void` `setToSeq​(java.lang.String value)` Sets the value of the toSeq property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### frSeq

    protected java.lang.String frSeq

#### toSeq

    protected java.lang.String toSeq

#### frToSeq

    protected java.util.List<SequenceRange1> frToSeq

#### eqSeq

    protected java.util.List<java.lang.String> eqSeq

#### neqSeq

    protected java.util.List<java.lang.String> neqSeq

### Constructor Detail

#### SequenceRange1Choice

    public SequenceRange1Choice()

### Method Detail

#### getFrSeq

    public java.lang.String getFrSeq()

Gets the value of the frSeq property.

Returns:
  possible object is `String`

#### setFrSeq

    public void setFrSeq​(java.lang.String value)

Sets the value of the frSeq property.

Parameters:
  `value` - allowed object is `String`

#### getToSeq

    public java.lang.String getToSeq()

Gets the value of the toSeq property.

Returns:
  possible object is `String`

#### setToSeq

    public void setToSeq​(java.lang.String value)

Sets the value of the toSeq property.

Parameters:
  `value` - allowed object is `String`

#### getFrToSeq

    public java.util.List<SequenceRange1> getFrToSeq()

Gets the value of the frToSeq property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the frToSeq property.

For example, to add a new item, do as follows:

        getFrToSeq().add(newItem);

Objects of the following type(s) are allowed in the list `SequenceRange1`

#### getEQSeq

    public java.util.List<java.lang.String> getEQSeq()

Gets the value of the eqSeq property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the eqSeq property.

For example, to add a new item, do as follows:

        getEQSeq().add(newItem);

Objects of the following type(s) are allowed in the list `String`

#### getNEQSeq

    public java.util.List<java.lang.String> getNEQSeq()

Gets the value of the neqSeq property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the neqSeq property.

For example, to add a new item, do as follows:

        getNEQSeq().add(newItem);

Objects of the following type(s) are allowed in the list `String`